CVE-2004-0545
CVSS7.2
发布时间 :2004-08-06 00:00:00
修订时间 :2008-09-05 16:38:42
NMCOS    

[原文]LVM for AIX 5.1 and 5.2 allows local users to overwrite arbitrary files via a symlink attack.


[CNNVD]IBM AIX LVM工具多个符号链接漏洞(CNNVD-200408-028)

        
        IBM AIX是一款商业性质UNIX操作系统。
        IBM AIX包含的LVM工具包含多个未明符号链接漏洞,本地攻击者可以利用这些漏洞破坏系统文件,或可能提升权限。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:ibm:aix:5.1IBM AIX 5.1
cpe:/o:ibm:aix:5.2IBM AIX 5.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0545
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0545
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200408-028
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/10230
(VENDOR_ADVISORY)  BID  10230
http://xforce.iss.net/xforce/xfdb/16011
(VENDOR_ADVISORY)  XF  aix-lvm-commands-symlink(16011)
http://www.ciac.org/ciac/bulletins/o-131.shtml
(UNKNOWN)  CIAC  O-131
http://www-1.ibm.com/services/continuity/recover1.nsf/mss/MSS-OAR-E01-2004.0544.2
(UNKNOWN)  IBM  MSS-OAR-E01-2004.0544

- 漏洞信息

IBM AIX LVM工具多个符号链接漏洞
高危 访问验证错误
2004-08-06 00:00:00 2005-10-20 00:00:00
本地  
        
        IBM AIX是一款商业性质UNIX操作系统。
        IBM AIX包含的LVM工具包含多个未明符号链接漏洞,本地攻击者可以利用这些漏洞破坏系统文件,或可能提升权限。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        IBM
        ---
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        IBM Patch lvmcmd_efix.tar.Z
        ftp://aix.software.ibm.com/aix/efixes/security/lvmcmd_efix.tar.Z

- 漏洞信息

7921
IBM AIX Multiple LVM Commands Unspecified Symlink File Overwrite
Local Access Required Race Condition
Loss of Integrity, Loss of Availability
Exploit Unknown

- 漏洞描述

IBM AIX contains a flaw that may allow a malicious user to abuse LVM commands to overwrite arbitrary files. The issue is triggered when an attacker uses symlinks to point to arbitrary files. It is possible that the flaw may allow the writing or overwriting of critical files resulting in a loss of confidentiality, and/or integrity.

- 时间线

2004-03-22 Unknow
Unknow Unknow

- 解决方案

Upgrade AIX using the APAR numbers AIX 5.1.0:  IY55681 and AIX 5.2.0:  IY55682 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Multiple IBM AIX Unspecified LVM Utilities Symbolic Link Vulnerabilities
Access Validation Error 10230
No Yes
2004-04-22 12:00:00 2009-07-12 04:06:00
The vendor announced this vulnerability.

- 受影响的程序版本

IBM AIX 5.2
IBM AIX 5.1

- 漏洞讨论

IBM has reported that multiple undisclosed LVM utilities are prone to symbolic link attacks.

A local attacker who has interactive access to the system may exploit these vulnerabilities to corrupt files, potentially resulting in a system wide denial of service or elevated privileges.

- 漏洞利用

There is no exploit required.

- 解决方案

IBM has released an update to their original advisory (APR-22-2004-LVM) as well as official APAR fixes; these fixes supercede the previous efixes. Further information regarding obtaining and applying APARs can be found in the referenced advisory.


IBM AIX 5.1

IBM AIX 5.2

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站